package de.avatic.lcc.util.exception.base;

public class ForbiddenException  extends RuntimeException{

    String title;
    String message;

    public ForbiddenException(String message) {
        super(message);
        this.title = "Forbidden Error";
        this.message = message;
    }

    public ForbiddenException(String message, Exception trace) {
        super(message, trace);
        this.title = "Forbidden Error";
        this.message = message;
    }

    public ForbiddenException(String title, String message, Exception trace) {
        super(message, trace);
        this.title = title;
        this.message = message;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
